pappso::ExceptionNotRecognized Class Reference

excetion to use when an item type is not recognized More...

`#include <exceptionnotrecognized.h>`

Inheritance diagram for pappso::ExceptionNotRecognized:

## Public Member Functions

| ExceptionNotRecognized (const QString &message) throw ()
virtual QException * | clone () const override
Public Member Functions inherited from pappso::PappsoException
| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Detailed Description

excetion to use when an item type is not recognized

item types can be files, objects...

Definition at line 41 of file exceptionnotrecognized.h.

## Constructor & Destructor Documentation

## ExceptionNotRecognized()

pappso::ExceptionNotRecognized::ExceptionNotRecognized | ( | const QString & | message | ) |
throw | ( |
| ) |  |

inline

Definition at line 44 of file exceptionnotrecognized.h.

: PappsoException(message)
{
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition: pappsoexception.h:44

Referenced by clone().

## Member Function Documentation

## clone()

virtual QException* pappso::ExceptionNotRecognized::clone | ( |  | ) | const

inline override virtual

Reimplemented from pappso::PappsoException.

Definition at line 51 of file exceptionnotrecognized.h.

{
return new ExceptionNotRecognized(*this);
}
pappso::ExceptionNotRecognized::ExceptionNotRecognized
ExceptionNotRecognized(const QString &message)
Definition: exceptionnotrecognized.h:44

References ExceptionNotRecognized().

The documentation for this class was generated from the following file:

- pappsomspp/exception/exceptionnotrecognized.h